BEGIN wlsbdm01

IF ~NumTimesTalkedTo(0)
	Global("wl_oublek_bargain","GLOBAL",4)~ THEN BEGIN wl_oublek_bargain_demon1 SAY ~~
	++ ~Demon, I have come to bargain on behalf of...~ + wl_oublek_bargain_demon2
END

IF ~~ THEN BEGIN wl_oublek_bargain_demon2 SAY ~No, you have come to die!~
	IF ~TRUE()~ THEN DO ~
		SetInterrupt(FALSE)
		SetSequence(2)
		SmallWait(5)
		PlaySound("EFF_M03")
		SmallWait(10)
		CreateVisualEffectObject("spwhirl",Player1)
		CreateVisualEffectObject("spwhirl",Player2)
		CreateVisualEffectObject("spwhirl",Player3)
		CreateVisualEffectObject("spwhirl",Player4)
		CreateVisualEffectObject("spwhirl",Player5)
		CreateVisualEffectObject("spwhirl",Player6)
		CreateVisualEffectObject("spwhirl",Player1)
		CreateVisualEffectObject("spsmkjet",Player2)
		CreateVisualEffectObject("spsmkjet",Player3)
		CreateVisualEffectObject("spsmkjet",Player4)
		CreateVisualEffectObject("spsmkjet",Player5)
		CreateVisualEffectObject("spsmkjet",Player6)
		CreateVisualEffectObject("spsdimsp",Player1)
		CreateVisualEffectObject("spsdimsp",Player2)
		CreateVisualEffectObject("spsdimsp",Player3)
		CreateVisualEffectObject("spsdimsp",Player4)
		CreateVisualEffectObject("spsdimsp",Player5)
		CreateVisualEffectObject("spsdimsp",Player6)
		SmallWait(10)
		FadeToColor([20.0],0)
		PlaySound("EFF_M28")
		Wait(1)
		MultiPlayerSync()
		ActionOverride(Player1,LeaveAreaLUA("wlsbar02","",[1634.1270],W)
		ActionOverride(Player2,LeaveAreaLUA("wlsbar02","",[1660.1245],W)
		ActionOverride(Player3,LeaveAreaLUA("wlsbar02","",[1695.1210],W)
		ActionOverride(Player4,LeaveAreaLUA("wlsbar02","",[1740.1230],W)
		ActionOverride(Player5,LeaveAreaLUA("wlsbar02","",[1705.1270],W)
		ActionOverride(Player6,LeaveAreaLUA("wlsbar02","",[1670.1300],W)
		ActionOverride(Player1,MultiPlayerSync())
		SetGlobal("wl_demon_tp","GLOBAL",1)
		SetInterrupt(TRUE)~ EXIT
END

IF ~NumTimesTalkedTo(1)
	Global("wl_oublek_bargain","GLOBAL",5)~ THEN BEGIN wl_oublek_bargain_demon3 SAY ~~
	++ ~Demon, I have come to bargain...~ + wl_oublek_bargain_demon4
END

IF ~~ THEN BEGIN wl_oublek_bargain_demon4 SAY ~No, you have come to die!~
	IF ~TRUE()~ THEN DO ~
		SetInterrupt(FALSE)
		SetSequence(2)
		SmallWait(5)
		PlaySound("EFF_M03")
		SmallWait(10)
		CreateVisualEffectObject("spwhirl",Player1)
		CreateVisualEffectObject("spwhirl",Player2)
		CreateVisualEffectObject("spwhirl",Player3)
		CreateVisualEffectObject("spwhirl",Player4)
		CreateVisualEffectObject("spwhirl",Player5)
		CreateVisualEffectObject("spwhirl",Player6)
		CreateVisualEffectObject("spwhirl",Player1)
		CreateVisualEffectObject("spsmkjet",Player2)
		CreateVisualEffectObject("spsmkjet",Player3)
		CreateVisualEffectObject("spsmkjet",Player4)
		CreateVisualEffectObject("spsmkjet",Player5)
		CreateVisualEffectObject("spsmkjet",Player6)
		CreateVisualEffectObject("spsdimsp",Player1)
		CreateVisualEffectObject("spsdimsp",Player2)
		CreateVisualEffectObject("spsdimsp",Player3)
		CreateVisualEffectObject("spsdimsp",Player4)
		CreateVisualEffectObject("spsdimsp",Player5)
		CreateVisualEffectObject("spsdimsp",Player6)
		SmallWait(10)
		FadeToColor([20.0],0)
		PlaySound("EFF_M28")
		Wait(1)
		MultiPlayerSync()
		ActionOverride(Player1,LeaveAreaLUA("wlsbar03","",[1634.1270],W)
		ActionOverride(Player2,LeaveAreaLUA("wlsbar03","",[1660.1245],W)
		ActionOverride(Player3,LeaveAreaLUA("wlsbar03","",[1695.1210],W)
		ActionOverride(Player4,LeaveAreaLUA("wlsbar03","",[1740.1230],W)
		ActionOverride(Player5,LeaveAreaLUA("wlsbar03","",[1705.1270],W)
		ActionOverride(Player6,LeaveAreaLUA("wlsbar03","",[1670.1300],W)
		ActionOverride(Player1,MultiPlayerSync())
		SetGlobal("wl_demon_tp","GLOBAL",1)
		SetInterrupt(TRUE)~ EXIT
END